using Edu.Common.Enum.User;
using System;
using VT.FW.DB;

namespace Edu.Model.Entity.User
{

    /// <summary>
	/// rb_workflow_askforleave:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class Rb_Workflow_Askforleave
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 请假类型 (1 年假 2 事假 3 病假 4 调休 5 产假 6 婚假 7 例假 8 丧假)
        /// </summary>  
        public AskforleaveTypeEnum? AskforleaveType
        {
            get;
            set;
        }
        /// <summary>
        /// 开始时间
        /// </summary> 
        public DateTime? StartTime
        {
            get;
            set;
        }
        /// <summary>
        /// 结束时间
        /// </summary        
        public DateTime? EndTime
        {
            get;
            set;
        }
        /// <summary>
        /// 时长
        /// </summary> 
        public double? Duration
        {
            get;
            set;
        }
        /// <summary>
        /// 请假事由
        /// </summary>      
        public string Description
        {
            get;
            set;
        }
        /// <summary>
        /// 数据库图片
        /// </summary>        
        public string Image
        {
            get;
            set;
        }
        /// <summary>
        /// 1审核中  2 撤回  3 驳回  4 不通过  5 通过
        /// </summary>        
        public UserWFAuditStatus? Status
        {
            get;
            set;
        }
        /// <summary>
        /// 所属模版id
        /// </summary>        
        public int? TemplateId
        {
            get;
            set;
        }
        /// <summary>
        /// CreateBy
        /// </summary>        
        public int? CreateBy
        {
            get;
            set;
        }
        /// <summary>
        /// CreateTime
        /// </summary>        
        public DateTime? CreateTime
        {
            get;
            set;
        }
        /// <summary>
        /// UpdateBy
        /// </summary>        
        public int? UpdateBy
        {
            get;
            set;
        }
        /// <summary>
        /// UpdateTime
        /// </summary>        
        public DateTime? UpdateTime
        {
            get;
            set;
        }
        /// <summary>
        /// 所属集团
        /// </summary>        
        public int? RB_GroupId
        {
            get;
            set;
        }
        /// <summary>
        /// 所属公司
        /// </summary>        
        public int? RB_BranchId
        {
            get;
            set;
        }
        /// <summary>
        /// 工作流条件表id
        /// </summary>        
        public int? ConditionId
        {
            get;
            set;
        }
        /// <summary>
        /// 是否是撤销流程   1正常  2 撤销
        /// </summary>
        public WFAuditCancelStatus? IsCancel { get; set; }
        /// <summary>
        /// 午休时长
        /// </summary>
        public string LunchTime { get; set; }
    }
}